<header xmlns:th="http://www.thymeleaf.org">
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" href="/">EMT 2021 SHOP</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
                <ul class="navbar-nav m-auto">
                    <li class="nav-item m-auto">
                        <a class="nav-link active" href="/products">Products</a>
                    </li>
                    <li class="nav-item m-auto" sec:authorize="hasRole('ROLE_ADMIN')">
                        <a class="nav-link active" href="/categories">Categories</a>
                    </li>
                    <li class="nav-item m-auto" sec:authorize="hasRole('ROLE_ADMIN')">
                        <a class="nav-link active" href="/manufacturers">Manufacturers</a>
                    </li>
                </ul>


                <form class="form-inline my-2 my-lg-0">
                    <div class="input-group input-group-sm">
                        <input type="text" class="form-control" aria-label="Small"
                               aria-describedby="inputGroup-sizing-sm"
                               placeholder="Search...">
                        <div class="input-group-append">
                            <button type="button" class="btn btn-secondary btn-number">
                                <i class="fa fa-search"></i>
                            </button>
                        </div>
                    </div>
                </form>
                <ul class="nav navbar-nav navbar-right">

<!--                    <li class="nav-item" sec:authorize="isAuthenticated()">-->
<!--                        <a class="nav-link" href="#">-->
<!--                            <th:block th:if="${#request.getRemoteUser() != null}"-->
<!--                                      th:text="${#request.getRemoteUser()}"></th:block>-->
<!--                        </a>-->
<!--                    </li>-->
                    <li class="nav-item" sec:authorize="isAuthenticated()">
                        <a class="btn btn-success btn-sm ml-3" href="/shopping-cart">
                            <i class="fa fa-shopping-cart"></i> Cart
                        </a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()">
                        <a class="btn btn-light btn-sm ml-3" href="/logout">
                            <i class="fa fa-shopping-cart"></i> Logout
                        </a>
                    </li>
                    <li class="nav-item" sec:authorize="!isAuthenticated()">
                        <a class="btn btn-light btn-sm ml-3" href="/login">
                            <i class="fa fa-shopping-cart"></i> Login
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>